Bug 1257754 - Please drop po/de-CH.po file
Please drop po/de-CH.po file
Status: POST
Product: Publican
Classification: Community
Component: publican (Show other bugs)
4.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-27 16:59 EDT by Raphaël Hertzog
Modified: 2016-05-26 09:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raphaël Hertzog 2015-08-27 16:59:59 EDT
The po/de-CH.po file is a duplicate of po/de_CH.po.

The po/de_CH.po is the correct file to keep and po/de-CH.po should be dropped entirely.

The presence of po/de-CH.po leads to the installation of a /usr/share/locale/de-CH/LC_MESSAGES/publican.mo which is never going to be used because de-CH is not a valid ISO code for a language.

This has been detected by the Debian package checker tool lintian:

W: publican: unknown-locale-code de-CH
N:
N:   The package appears to ship locales for a language but uses an unknown
N:   locale code as a subdirectory of /usr/share/locale. This usually
N:   results in users of the intended target language not finding the
N:   locale. The language codes used in the locale directories are those
N:   from the ISO 639-1 and ISO 639-2 standards, not those usually used as
N:   TLDs (which are from the ISO 3166 standard).
N:   
N:   It is possible that the language code was mistyped or incorrectly
N:   guessed from the language's or country's name.
N:   
N:   Refer to http://www.loc.gov/standards/iso639-2/php/code_list.php for
N:   details.
N:   
N:   Severity: normal, Certainty: certain
Comment 1 Jeff Fearn 2015-08-27 19:08:16 EDT
Deleted file and updated zanata mapping so it doesn't get recreated.
Comment 2 Mike McCune 2016-03-28 18:46:32 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.